Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366629 - Satellite upgrade fails with "duplicate key value violates unique constraint" error
Summary: Satellite upgrade fails with "duplicate key value violates unique constraint"...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.2
Assignee: orabin
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 13:19 UTC by rakesh kumar
Modified: 2018-12-06 20:49 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.0.0.73-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 06:36:27 UTC


Attachments (Terms of Use)
content host details (deleted)
2016-08-19 19:28 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1643 normal SHIPPED_LIVE Satellite 6.2 Upgrades Bugfixes 2016-08-22 10:35:37 UTC
Foreman Issue Tracker 16137 None None None 2016-08-17 08:02:53 UTC

Comment 2 Bryan Kearney 2016-08-17 10:17:22 UTC
Upstream bug component is Content Management

Comment 3 Bryan Kearney 2016-08-18 02:17:18 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/16137 has been closed

Comment 6 jcallaha 2016-08-19 19:27:48 UTC
Verified in Satellite 6.2.1 Snap 1.3. Upgrade from Satellite 6.1.8 executed without issue.

registered content host to satellite with two activation keys and the installer handled it correctly.

[root@mgmt9 ~]# subscription-manager register --org="Default_Organization" --activationkey="sat61,sat62"
The system has been registered with ID: 12e157e3-383c-42f5-99f1-a3388d511c91 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed


See attached for content host details page.

Comment 7 jcallaha 2016-08-19 19:28:25 UTC
Created attachment 1192267 [details]
content host details

Comment 9 errata-xmlrpc 2016-08-22 06:36:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1643


Note You need to log in before you can comment on or make changes to this bug.